# created with `oc adm create-bootstrap-project-template -o yaml`
# then it will customized for each use case.
# The cluster is configured to use it via cluster-project-config.yaml
# as per https://docs.openshift.com/container-platform/4.3/applications/projects/configuring-project-creation.html#modifying-template-for-new-projects_configuring-project-creation
apiVersion: template.openshift.io/v1
kind: Template
metadata:
  # These annotations are necessary for the CI integration tests to work, since ArgoCD due to a bug
  # is not able to remove templates, so the update action from one cluster use case to another gets stuck
  annotations:
    argocd.argoproj.io/compare-options: IgnoreExtraneous
    argocd.argoproj.io/sync-options: Prune=false
  namespace: openshift-config
  name: {{ .Values.templateName }}
objects: {{ .Values.projectTemplateResources | toYaml | nindent 2 }}
parameters:
- name: PROJECT_NAME
- name: PROJECT_DISPLAYNAME
- name: PROJECT_DESCRIPTION
- name: PROJECT_ADMIN_USER
- name: PROJECT_REQUESTING_USER
